# std::experimental::latch::is_ready

From cppreference.com
< cpp‎ | experimental‎ | latch

bool is_ready() const; | (1) | (concurrency TS)

Returns `true` if the internal counter equals zero.

### Parameters

(none)

### Return value

true if the internal counter of *this latch equals zero.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/latch/is_ready&oldid=91518"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template